% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/serr.R
\name{serr}
\alias{serr}
\title{Generate data with skewed errors}
\usage{
serr(n, nr, p, dist_type, ...)
}
\arguments{
\item{n}{Number of total observations}

\item{nr}{Number of observations with a different error distribution}

\item{p}{Number of predictors}

\item{dist_type}{Type of error distribution ("skew_normal", "skew_t", "skew_laplace")}

\item{...}{Additional parameters for the error distribution}
}
\value{
A list with X (design matrix), Y (response), and e (error)
}
\description{
Generate data with skewed errors
}
\examples{
set.seed(123)
data <- serr(1000, 200, 5, "skew_t")
str(data)
}
